---
id: 6970f09b547e10402abf2847
title: Step 19
challengeType: 20
dashedName: step-19
---

# --description--

Still inside the body of the outer `if` statement, add an `else` clause to the nested `if seat_type == 'Premium':` statement and update the `service_charges` value to `1` inside the `else` body. Make sure to keep the `else` indented by four spaces to stay inside the outer `if` statement body.

# --hints--

Your new `if` statement should have an `else` clause.

```js
({ test: () => (runPython(`
assert _Node(_code).find_ifs()[4].find_ifs()[0].find_conditions()[1].is_empty() 
`)) })
```

You should assign the integer value `1` to `service_charges` variable inside your `else` clause.

```js
({ test: () => (runPython(`
_var = _Node(_code).find_ifs()[4].find_ifs()[0].find_bodies()[1].find_variable("service_charges") 
assert _var.is_equivalent("service_charges = 1")
`)) })
```

# --seed--

## --seed-contents--

```py
base_price = 15
age = 21
seat_type = 'Gold'
show_time = 'Evening'

if age > 17:
    print('User is eligible to book a ticket')

if age >= 21:
    print('User is eligible for Evening shows')
else:
    print('User is not eligible for Evening shows')

is_member = False
is_weekend = False

discount = 0
if is_member and age >= 21:
    discount = 3
    print('User qualifies for membership discount')
else:
    print('User does not qualify for membership discount')
print('Discount:', discount)

extra_charges = 0
if is_weekend or show_time == 'Evening':
    extra_charges = 2
    print('Extra charges will be applied')
else:
    print('No extra charges will be applied')
print('Extra charges:', extra_charges)

if age >= 21 or age >= 18 and (show_time != 'Evening' or is_member):
    print('Ticket booking condition satisfied')

    service_charges = 0
    if seat_type == 'Premium':
        service_charges = 5
--fcc-editable-region--
    
--fcc-editable-region--
else:
    print('Ticket booking failed due to restrictions')
```
